CYR_DENY(8)

NAME
cyr_deny - Cyrus IMAP documentation

deny users access to Cyrus services

SYNOPSIS

            cyr_deny [ -C config-file ] [ -s services ] [ -m message ] user
            cyr_deny [ -C config-file ] -a user
            cyr_deny [ -C config-file ] -l

DESCRIPTION

cyr_deny is used to deny individual users access to Cyrus services. The first synopsis denies user user access to Cyrus services, the second synopsis allows access again. cyr_deny works by adding an entry to the Cyrus user_deny.db database; the third synopsis lists the entries in the database. The service names to be matched are those as used in cyrus.conf(5).

cyr_deny reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

    -C config-file
        Use the specified configuration file config-file rather than the default imapd.conf(5).

    -a, --allow
        Allow access to all services for user user (remove any entry from the deny database).

    -s services, --services=services
        Deny access only to the given services, which is a comma-separated list of wildcard patterns. The default is "*" which denies access to all services.

    -m message, --message=message
        Provide a message which is sent to the user to explain why access is being denied. A default message is used if none is specified.

    -l, --list
        List the entries in the deny database.

EXAMPLES

[NB: Examples needed]

HISTORY

This command was introduced in version 3.0.

FILES

/etc/imapd.conf, <configdirectory>/user_deny.db

SEE ALSO

imapd.conf(5)

AUTHOR
The Cyrus Team, Nic Bernstein (Onlight)

COPYRIGHT
1993–2026, The Cyrus Team